//
// Created by max on 28-1-24.
//

#include <ncurses.h>

#include "netex.h"
#include "server.h"

// INFO
// https://tldp.org/HOWTO/NCURSES-Programming-HOWTO/
//

#define PAIR_BG_WIN_COLOR 2

WINDOW *info_win, *log_win;

int setup_windows(void)
{
    // Color pairs
    init_pair(PAIR_BG_WIN_COLOR, COLOR_GREEN, COLOR_BLACK);

    // Windows
    int ymax,xmax;
    getmaxyx(stdscr, ymax, xmax);
    info_win = newwin(GET_PERC(ymax, 20), xmax-1, 1, 0);
    log_win = newwin(ymax-16, GET_PERC(xmax, 50), GET_PERC(ymax, 20) + 1, 0);
    refresh();
    wattron(info_win, COLOR_PAIR(PAIR_BG_WIN_COLOR));
    box(info_win, 0, 0);
    wattroff(info_win, COLOR_PAIR(PAIR_BG_WIN_COLOR));
    wattron(log_win, COLOR_PAIR(PAIR_BG_WIN_COLOR));
    box(log_win, 0, 0);
    wattroff(log_win, COLOR_PAIR(PAIR_BG_WIN_COLOR));
    mvwprintw(info_win, 0, 1, " Info window ");
    mvwprintw(log_win, 0, 1, " Log window ");
    for (int i = 0; i != 15; i++)
    {
        mvwprintw(log_win, i + 1, 1, "Test!");
    }
    wrefresh(info_win);
    wrefresh(log_win);

    return 0;
}
void calculate_wind_sizes(void)
{

    //TODO: calculate the size of the windows on the screen, called when first start and on screen resize.
}